### Method

# EDataServer SourceProxy get_autoconfig_url

since: 3.12

#### Declaration [src]

    const gchar*
    e_source_proxy_get_autoconfig_url (
      ESourceProxy* extension
    )

#### Description [src]

Returns the URL that provides proxy configuration values. When the `extension`‘s `ESourceProxy:method` is `E_PROXY_METHOD_AUTO`, this URL is used to look up proxy information for all protocols.

Available since: 3.12

Gets property | `EDataServer.SourceProxy:autoconfig-url`

#### Return value

Type: `const gchar*`

The autoconfiguration URL.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.